curl -X POST https://zeplo.ai/api/campaigns/1/start \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Campaign started successfully",
"data": {
"id": 1,
"status": "running",
"startedAt": "2026-01-15T14:00:00Z"
}
}
Campaigns
POST Start Campaign
Start or schedule a campaign for execution.
POST
/
api
/
campaigns
/
:id
/
start
curl -X POST https://zeplo.ai/api/campaigns/1/start \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Campaign started successfully",
"data": {
"id": 1,
"status": "running",
"startedAt": "2026-01-15T14:00:00Z"
}
}
Start campaign
POST /api/campaigns/:id/start
Start sending a draft or scheduled campaign immediately.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Path parameters
integer
required
Campaign ID.
curl -X POST https://zeplo.ai/api/campaigns/1/start \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Campaign started successfully",
"data": {
"id": 1,
"status": "running",
"startedAt": "2026-01-15T14:00:00Z"
}
}
Send campaign via API key
POST /api/campaigns/send/:apiKey
Trigger a campaign using an API key (for external integrations).
Path parameters
string
required
API key in URL path.
Body parameters
integer
Campaign ID to send.
integer[]
Specific contact IDs to send to.
string
ISO 8601 datetime for scheduled send.
curl -X POST https://zeplo.ai/api/campaigns/send/zeplo_ak_abc123 \
-H "Content-Type: application/json" \
-d '{ "campaignId": 1 }'
